#define _GNU_SOURCE
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <assert.h>


int main(int argc, char *argv[])
{
	int t[2];
	int size;

	assert(pipe(t) == 0);

	size = fcntl(t[0],F_GETPIPE_SZ);

	printf("size = %d\n",size);
	return 0;
}
